org.apache.commons.io.file

## Class AccumulatorPathVisitor.Builder

- java.lang.Object
- - org.apache.commons.io.build.AbstractSupplier<T,B>
  - - org.apache.commons.io.file.SimplePathVisitor.AbstractBuilder<T,B>
    - - org.apache.commons.io.file.CountingPathVisitor.AbstractBuilder<AccumulatorPathVisitor,AccumulatorPathVisitor.Builder>
      - - org.apache.commons.io.file.AccumulatorPathVisitor.Builder

- All Implemented Interfaces:
    IOSupplier<AccumulatorPathVisitor>
  Enclosing class:
    AccumulatorPathVisitor

      public static class AccumulatorPathVisitor.Builder
      extends CountingPathVisitor.AbstractBuilder<AccumulatorPathVisitor,AccumulatorPathVisitor.Builder>

  Builds instances of `AccumulatorPathVisitor`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()` Constructs a new builder.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AccumulatorPathVisitor` | `get()` Gets a result.

    - ### Methods inherited from class org.apache.commons.io.file.CountingPathVisitor.AbstractBuilder

      `getDirectoryFilter, getDirectoryPostTransformer, getFileFilter, getPathCounters, setDirectoryFilter, setDirectoryPostTransformer, setFileFilter, setPathCounters`

    - ### Methods inherited from class org.apache.commons.io.file.SimplePathVisitor.AbstractBuilder

      `getVisitFileFailedFunction, setVisitFileFailedFunction`

    - ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

      `asThis`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

      `asSupplier, getUnchecked`

- - ### Constructor Detail

    - #### Builder

          public Builder()

      Constructs a new builder.

  - ### Method Detail

    - #### get

          public AccumulatorPathVisitor get()

      Description copied from interface: `IOSupplier`
      Gets a result.
      Returns:
        a result.
      See Also:
        `IOSupplier.getUnchecked()`